TAAS - Feature #91

Period Locking List
11/02/2022 01:40 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 11/24/2022
Priority: Normal Due date:

Assignee: Greeshma S % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 30:00 hours
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): 30.00 Code Reviewed By:

Module: Period Locking List

Description

Coding Period Locking List

History

#1 - 11/15/2022 07:24 PM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

- Status changed from New to Open

- % Done changed from 0 to 10

1) Module name is to be taken from Data Service. (refer UserGroup).

#2 - 11/17/2022 09:54 AM - Anil KV
- Assignee changed from Junaid M to Amal Siby

#3 - 11/24/2022 04:20 PM - Amal Siby

- Status changed from Open to Coding Started

- Start date changed from 11/02/2022 to 11/24/2022
- % Done changed from 10 to 40

#4 - 11/28/2022 06:48 PM - Amal Siby

- Status changed from Coding Started to Particialy Coding Done

- Time Taken(HH) set to 30.00

Coding Partially done

pending features:- 1) Locked module tree widget not supporting tick programmatically, in period locking And period locking list

#5 - 12/08/2022 04:15 PM - Amal Siby

Coding Completed.
To Do:

In module tab, module tree widget needs to limit displaying module names. (Do after type key is added to menu service).

#6 - 01/11/2023 11:07 AM - Amal Cyriac

- Status changed from Particialy Coding Done to Reopen Bugs

- % Done changed from 40 to 50
- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.DIV AUTOMATIALLY EXPANDS WHILE CLICK SEARCH BUTTON
2.SEARCH FILTERS (DATE) NOT WORKING PROPERLY

(DATE DIFFERENCE)

#7 - 01/14/2023 10:03 AM - Amal Siby
Bug fixed, Updated

#8 - 01/14/2023 10:04 AM - Amal Siby
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 40

Bug fixed, Updated

#9 - 03/16/2023 05:27 PM - Amal Cyriac
- Status changed from Particialy Coding Done to Reopen Bugs

- % Done changed from 40 to 50

ISSUE FOUND *****

1.Use proper label

(Remove "Locked" from - Module, Branch, Type, User)
2.Use proper alerts for date picker

3.Use CODE:NAME format on selection box

(Branch)

4 Resize grid column

(Period from , Period to ,& Remarks)

#10 - 03/24/2023 06:22 PM - Amal Siby
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 40

Reopen Coding Completed.
To Do:
In module tab, module tree widget needs to limit displaying module names. (Do after type key is added to menu service).

#11 - 04/19/2023 02:34 PM - Amal Siby
- Status changed from Particialy Coding Done to Coding Done
- % Done changed from 40 to 60

#12 - 04/19/2023 06:20 PM - Amal Cyriac
- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.Redirect to new tab for edit or update the Period Locking

#13 - 04/26/2023 06:12 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#14 - 06/19/2023 06:25 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix bugs on Locked period - ( Date change to forward)
2.Add created Date & Time on grid

3.Set alignment on GUI
( Date pickers , Branch)

#15 - 06/29/2023 04:29 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Reported bugs were fixed.

#16 - 07/22/2023 06:56 PM - Anil KV
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

GUI changed, Coding the changes

#17 - 09/25/2023 07:23 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#18 - 02/29/2024 03:13 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

GUI CHANGES

Done 1) Add Unlock icon after edit icon, redirect to Period Unlock.

#19 - 04/02/2024 04:49 PM - Amal Siby
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#20 - 04/08/2024 02:23 PM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

Done 1.CLEAR VALIDATION FOR BRANCH WHILE SEARCH WITH BLANK OPTION

#21 - 04/09/2024 07:24 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#22 - 10/26/2024 10:13 AM - Arathy PS
- Assignee changed from Amal Siby to Nithin PM

#23 - 12/18/2024 12:08 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. While redirecting to period unlocking the unlock button is showing as update button.

2. Can't unlock the locked period while redirecting from locked list.

#24 - 12/27/2024 06:24 PM - Nithin PM
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#25 - 02/24/2025 02:12 PM - Arathy PS

- File clipboard-202502241412-2ngmj.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. While clicking search after entering date data is not showing.

Period Locking List 29~ | =~ Menu - _ Qi@ /10
You have no Permission to VIEW Period Locking List, X
Effective From™ | 26/02/2025 B | 26022025 =] Branch | BROOT: Main v
T Q 2

#  Pperiod Locked Action Locked Category Update Type Remarks Created By Created Date

No data

#26 - 02/24/2025 02:13 PM - Arathy PS
- Assignee changed from Nithin PM to Greeshma S

#27 - 02/25/2025 06:37 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

Files

1-CsModel.cs 2.52 KB 11/15/2022 Junaid M
2-tsModel.ts 1.48 KB 11/15/2022 Junaid M
3-CsFile.cs 4.27 KB 11/15/2022 Junaid M
4-CsControllerFile.cs 16.5 KB 11/15/2022 Junaid M
5-TsFile.ts 13.8 KB 11/15/2022 Junaid M
6-HtmlFile.html 1.92 KB 11/15/2022 Junaid M
sql.sql 22.4 KB 11/15/2022 Junaid M
clipboard-202502241412-2ngmj.png 74.5 KB 02/24/2025 Arathy PS
